Subject: [EAI] draft-faltstrom-unicode11, i18n "directorate", and related issues

From: John C Klensin <[email-masked]>
Date: Tue, 04 Dec 2018 15:19:40 -0500

Hi.

Just a heads-up to lower the odds of anyone's being surprised or
unintentionally left out of the conversation.  Please do not
start a discussion of it on any of the mailing lists copied.

An IETF Last Call was initiated yesterday on
draft-faltstrom-unicode11-05, whose main intention was to follow
the model of RFC 6452 and bring the IANA registry of IDNA code
points into line with Unicode 11.0.  In addition to a few
comments on the IETF list, a discussion started on the I18Nrp
list, the list set up for the BOF held during IETF 102 in
Montreal to try to figure out how to progress the several i18n
documents that have been stalled for some time.  

Because that draft is very much specific to IDNA2008, I would
have expected the discussion to be on the [email-masked]
list, but I suppose we should all be grateful that we don't have
either parallel discussions on multiple lists or extensive
cross-posting.   (Patrik, it would probably be wise for -06 to
explicitly identify the mailing list on which discussion would
be helpful).

Those who attended or watched the IETF 102 BOF in July will
probably recall that it concluded that a group should be formed
to provide a focus and expert advice on I18n issues to the
community.   It was described as a "directorate" because that
term and organizational arrangement is familiar in the IETF, but
it was quite clear (at least to many of us) that its mission was
to advise, inform, and perhaps even educate the community on
i18n issues, rather than merely advising the ART ADs and/or
designating people to perform reviews late in the Last Call
cycle.  Alexey (as the ART AD who is apparently taking lead
responsibility for this work) has indicated that the
"directorate" should be organized and announced very soon now.

Because (if nothing else) the document follows up on RFC 6452,
which was Standards Track, and because the directorate should
have a chance to come together and review this document and its
relationship to other pending work, the Last Call has now been
cancelled (or, I hope more accurately, deferred).

However, people should be aware of that document, that there has
been a discussion on the I18Nrp list that is certainly relevant
to the IDNA list and effort, that includes details not covered
by the summary above, and may be relevant to the other lists
copied; that the directorate is expected to be announced soon;
and that draft-faltstrom-unicode11 and other relevant I-Ds,
including some expired ones, may soon [re-]appear and require
review and evaluation.

At least until Patrik or the ADs suggest otherwise, the
discussion of draft-faltstrom-unicode11 is on I18Nrp
(subscription and archive information at
https://www.ietf.org/mailman/listinfo/i18nrp )

Happy reading and reviewing.
And apologies for not getting this note out when the discussion
first started up.

    john
    (no particular hats other than interested party although my
hats as ex-EAI Co-Chair and author or contributor to a number of
relevant RFCs and pending documents are around here somewhere)

---

From: Ted Hardie <[email-masked]>
Date: Tue, 4 Dec 2018 13:04:20 -0800

John,

This is to advise you that I have notified the IESG that I strongly
disagree with this conclusion on the scope of an i18n directorate; I heard
calls for a directorate, not for a body with different characteristics
sharing the name.  I have also notified them that I object to the formation
of a body with a different remit to the usual "advise the ADs" unless a
community discussion, charter, and discussion of how membership is selected
takes place.

We charter directorates now as advisory bodies to the ADs, and the ADs bear
the responsibility for the related decisions (taking or not taking the
advice as they see fit).  Since the ADs are selected by the NomCom, how
they derive that authority and its limits are well known.  What you
describe below departs from that, and unless it is made clear what
authority is being granted and how the community is being consulted, I
think it is outside of our process.

Since this amounts to the early stage of an appeal, I have recused myself
from further discussion within the IESG on this topic.

On the more technical topic of the appropriate status (Standards Track or
Informational) for this document, I will follow up as you suggest.

Ted

> _______________________________________________
> I18n-discuss mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/i18n-discuss
>

---

From: Ben Campbell <[email-masked]>
Date: Tue, 4 Dec 2018 15:29:56 -0600

Hi Ted,

I’d like to understand your objection better. (Please don’t take this as disagreement. Or agreement, for that matter :-) )

How do you see things like “advise”, “educate” and “inform” as being a grant of authority beyond that of a directorate? Individual participants can and do those things regularly; so I’m confused as why doing it as part of a directorate would be different. Do you read those things as putting the directorate in the approval path? Or are you concerned such advice would be given greater weight because of the directorate?

Thanks!

Ben.

> On Dec 4, 2018, at 3:04 PM, Ted Hardie <[email-masked]> wrote:
> 
> John,
> 
> This is to advise you that I have notified the IESG that I strongly disagree with this conclusion on the scope of an i18n directorate; I heard calls for a directorate, not for a body with different characteristics sharing the name.  I have also notified them that I object to the formation of a body with a different remit to the usual "advise the ADs" unless a community discussion, charter, and discussion of how membership is selected takes place.
> 
> We charter directorates now as advisory bodies to the ADs, and the ADs bear the responsibility for the related decisions (taking or not taking the advice as they see fit).  Since the ADs are selected by the NomCom, how they derive that authority and its limits are well known.  What you describe below departs from that, and unless it is made clear what authority is being granted and how the community is being consulted, I think it is outside of our process.
> 
> Since this amounts to the early stage of an appeal, I have recused myself from further discussion within the IESG on this topic.
> 
> On the more technical topic of the appropriate status (Standards Track or Informational) for this document, I will follow up as you suggest.
> 
> Ted
> 
> On Tue, Dec 4, 2018 at 12:19 PM John C Klensin <[email-masked] <mailto:[email-masked]>> wrote:
> 
> https://www.ietf.org/mailman/listinfo/i18nrp <https://www.ietf.org/mailman/listinfo/i18nrp> )
> 
> [email-masked] <mailto:[email-masked]>
> https://www.iab.org/mailman/listinfo/i18n-discuss <https://www.iab.org/mailman/listinfo/i18n-discuss>
> precis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/precis

---

From: Ted Hardie <[email-masked]>
Date: Tue, 4 Dec 2018 14:02:27 -0800

Hi Ben,

On Tue, Dec 4, 2018 at 1:29 PM Ben Campbell <[email-masked]> wrote:

> Hi Ted,
>
> I’d like to understand your objection better. (Please don’t take this as
> disagreement. Or agreement, for that matter :-) )
>
> How do you see things like “advise”, “educate” and “inform” as being a
> grant of authority beyond that of a directorate?  Individual participants
> can and do those things regularly; so I’m confused as why doing it as part
> of a directorate would be different. Do you read those things as putting
> the directorate in the approval path? Or are you concerned such advice
> would be given greater weight because of the directorate?
>

Given that the first suggestion here was that a document could not go
through last call until it had been reviewed by the group and John's
message seemed to indicate that its authority was not simply to advise an
AD, I inferred that the intent was to set up a group with an independent
authority to foster work or block documents.  That seems to me to require
discussion.  Even the EDU team, which has a remit to educate the community
is defined as a directorate serving the GEN area, and why this cannot be
not an area director led activity is not clear to me.

If we need something beyond that, okay, but I believe that requires
community discussion about how such groups are chartered, how their
membership is selected, and what the limits of their authority should be.

regards,

Ted Hardie

> We charter directorates now as advisory bodies to the ADs, and the ADs
> bear the responsibility for the related decisions (taking or not taking the

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 04 Dec 2018 16:54:44 -0600

On 4 Dec 2018, at 16:02, Ted Hardie wrote:

> message seemed to indicate that its authority was not simply to advise 
> an AD, I inferred that the intent was to set up a group with an 
> independent authority to foster work or block documents.

Have a look at https://datatracker.ietf.org/help/state/draft/iesg. You 
will see a state between "AD Evaluation" and "Last Call Requested" 
called "Expert Review". At an AD's discretion, before a document is sent 
for Last Call:

    An AD sometimes asks for an external review by an outside party as
    part of evaluating whether a document is ready for advancement.
    MIBs, for example, are reviewed by the "MIB doctors". Other types of
    reviews may also be requested (e.g., security, operations impact,
    etc.). Documents stay in this state until the review is complete and
    possibly until the issues raised in the review are addressed. See
    the "note" field for specific details on the nature of the review.

Moving a document out of Last Call back to AD Evaluation to send it for 
Expert Review, and blocking on that state until such review is complete, 
is and has been standard operating procedure for a long time. I see no 
independent authority being added here that overrides the discretion of 
the responsible AD.

> That seems to me to require discussion.

I disagree.

pr

-- 
Pete Resnick http://www.episteme.net/
All connections to the world are tenuous at best

---

From: Ted Hardie <[email-masked]>
Date: Tue, 4 Dec 2018 15:37:37 -0800

Howdy Pete,

Please re-read John's message, which includes this:

" It was described as a "directorate" because that
cycle. "

As I have said multiple times, I have no problem with an AD requesting a
review of a specific individual or set of individuals.  But John's message
is highlighting that this group is meant to be something different than the
usual directorate. That concerns me, especially if it is meant to have a
review power beyond "advising the ART ADs", which is what (ART)
directorates do.  Soliciting and receiving that advice is the state you're
pointing to, and but John has asserted this is not that.  Given that
assertion, I think the community ought to know and have a voice in what it
is instead.

I also am disappointed that the ART ADs did not simply ask the relevant
questions of the people that they would or will put on the Directorate, if
they are seeking the usual sort of advice.  There is no power in the advice
coming from a directorate rather than Individual 1 or 2. But that is a
timing question, not a process point.

regards,

Ted

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 04 Dec 2018 17:54:29 -0600

Trimming a bit:

On 4 Dec 2018, at 17:37, Ted Hardie wrote:

> "its mission was
> usual directorate.

Certainly to some small extent all of the directorates "advise, inform, 
and perhaps even educate the community", as each is willing to do early 
reviews, and some of the advisory groups (like the assorted "Doctors") 
will help a WG when directly solicited by the WG. The fact that those 
duties get a more formal mention in the mission of the i18n directorate 
doesn't give me pause. But what I was responding to was this part of 
your earlier message:

>>> ...I inferred that the intent was to set up a group with an

Like Ben, I see nothing in John's words (or any of the discussions of 
the directorate) that indicate any power to "block documents", let alone 
some other sort of special "independent authority" (beyond what we 
already have experience with). And that seems the real basis for your 
objection. I think perhaps you're tilting at a windmill.

> That concerns me, especially if it is meant to have a
> pointing to, and but John has asserted this is not that.

John has asserted that it is not *only* that. But the only thing that it 
appears to be beyond that is a group that can, as John said, "advise, 
inform, and perhaps even educate the community".

> Given that

If it had any additional authority, I would agree. It does not appear 
to, and therefore I do not.

> timing question, not a process point.

There is no power, but often there is more organization. That seems like 
a legitimate reason for the pause.

pr

---

From: Ben Campbell <[email-masked]>
Date: Tue, 4 Dec 2018 18:08:56 -0600

Responding to a couple of points, inline:

> On Dec 4, 2018, at 5:54 PM, Pete Resnick <[email-masked]> wrote:
> 
> Trimming a bit:
> 
> Certainly to some small extent all of the directorates "advise, inform, and perhaps even educate the community", as each is willing to do early reviews, and some of the advisory groups (like the assorted "Doctors") will help a WG when directly solicited by the WG. The fact that those duties get a more formal mention in the mission of the i18n directorate doesn't give me pause. But what I was responding to was this part of your earlier message:
> 
> Like Ben, I see nothing in John's words (or any of the discussions of the directorate) that indicate any power to "block documents", let alone some other sort of special "independent authority" (beyond what we already have experience with). And that seems the real basis for your objection. I think perhaps you're tilting at a windmill
> 
> 

As an ART AD, my expectation is that the directorates only power to block documents  would be to convince a (typically ART) AD to do so.

> John has asserted that it is not only that. But the only thing that it appears to be beyond that is a group that can, as John said, "advise, inform, and perhaps even educate the community".
> 
> Given that
> If it had any additional authority, I would agree. It does not appear to, and therefore I do not.
> 
> There is no power, but often there is more organization. That seems like a legitimate reason for the pause.
> 
At the risk of putting words into Alexey’s mouth, I think this was an exceptional case due to the fact that the directorate creation was imminent, but perhaps not so imminent that it could finish it’s first review before the LC ended. It was Alexey’s choice to stop the LC, but he might have chosen the same even if he just asked an individual to do an expert review.

Thanks!

Ben.

---

From: Vint Cerf <[email-masked]>
Date: Tue, 4 Dec 2018 19:21:01 -0500

suggestion:

set up the advisory group and allow it to offer advice to the appropriate
AD.
This same advisory group can reasonably share its findings more generally,
thereby "educating...." the rest of the community. No power to block should
either explicitly or implicitly be inferred by the creation of the advisory
body.

vint

On Tue, Dec 4, 2018 at 7:09 PM Ben Campbell <[email-masked]> wrote:

> reviews, and some of the advisory groups (like the assorted "Doctors") will
> help a WG when directly solicited by the WG. The fact that those duties get
> a more formal mention in the mission of the i18n directorate doesn't give
> me pause. But what I was responding to was this part of your earlier
> message:
>
> Like Ben, I see nothing in John's words (or any of the discussions of the
> directorate) that indicate any power to "block documents", let alone some
> other sort of special "independent authority" (beyond what we already have
> experience with). And that seems the real basis for your objection. I think
> perhaps you're tilting at a windmill
>
>
> As an ART AD, my expectation is that the directorates only power to block
> documents  would be to convince a (typically ART) AD to do so.
>
> At the risk of putting words into Alexey’s mouth, I think this was an
> exceptional case due to the fact that the directorate creation was
> imminent, but perhaps not so imminent that it could finish it’s first
> review before the LC ended. It was Alexey’s choice to stop the LC, but he
> might have chosen the same even if he just asked an individual to do an
> expert review.
>
> Thanks!
>
> Ben.
> IDNA-UPDATE mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idna-update
>

-- 
New postal address:
Google
1875 Explorer Street, 10th Floor
Reston, VA 20190

---

From: Ajay Data <[email-masked]>
Date: Wed, 05 Dec 2018 06:51:42 +0530

+1

On 5 December 2018 05:51:01 GMT+05:30, Vint Cerf <vint=[email-masked]> wrote:
>the
>> There is no power, but often there is more organization. That seems
>like a
>> legitimate reason for the pause.
>>
>------------------------------------------------------------------------
>
>IMA mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ima

-- 
Sent from my Android device with XGenPlus.

---

From: John C Klensin <[email-masked]>
Date: Wed, 05 Dec 2018 16:03:07 -0500

Ben and others,

Sorry... had to be away from the list for a while.  I very much
appreciate your note and Pete's clarifications.  I want to add
some observations in the hope that they will be helpful.
Apologies for length -- I think it is important to understand
the context of the "directorate" idea, in large measure because
I believe that the IETF should be trying to solve problems
rather than looking for procedural reasons not to (or to avoid
important aspects of them).  Even while I'm concerned about
delays too, I think you and your ART AD colleagues are on the
right path there.

To go back to basics, when Patrik and I requested the BOF that
became I18NRP it was precisely because we saw an unusual and
problematic situation.  I suppose it could be described in
several different ways, but one version is that there seemed to
be agreement in principle in the IETF that lowering the barriers
to Internet use by people whose preferred languages and writing
systems are not English, or even Western European, was important
but that the IETF was (or had become) unable to advance work to
address that requirement.   This affected work directly
concerned with what has usually been called internationalization
(or i18n) including follow-in efforts for work developed by the
IDNABIS, PRECIS, and EAI WGs; extending other protocols to use
non-ASCII text or identifiers such as the work on certificates
in LAMPS; and maintenance of assorted registries with high
confidence that all relevant issues were being addressed.  While
we could usually get interest in creating new WGs for the first
type of work, they tended to run out of energy among people with
the right mix of expertise to get the work done before they
concluded.  The two most recent WGs devoted to the area, PRECIS
and EAI, had less than a handful of people actually doing the
work of developing and reviewing documents by the time they
wound down.  Getting good input and reviews for other work often
involved people calling in personal favors with friends and
colleagues.  The net result has been that work has been stalled
for several years.

In a way, this is not surprising.  While almost anyone with
familiarity with more than one language (even rather
closely-related ones) can understand that there are issues, true
experts in the field (actually the multiple fields that bear on
the issues) are very rare.  The subset of them who are also
familiar enough with the protocols that lie in the IETF's
mainstream is even smaller, to the point that anyone claiming
comprehensive expertise in both may well be suffering from a bad
case of not knowing what they don't know.  Picking on the people
who first made substantive comments on this thread, I don't
believe that any of Patrik, Asmus, or myself would claim that
our knowledge was so comprehensive that is wasn't necessary to
involve others (if I ever appear to do so, a forceful reminder
would we welcome).  Anyone who generates a proposal or analysis
and says that one particular other person has looked at it and
therefore it is ok is doing that person, as well as the
community, a serious disservice.

One thing that is clear is that we can't seek answers and
expertise from individuals.  We have to find it in diverse teams
who talk with each other and explore ideas and proposals with
each other.

Another problem is that the knowledge and skill sets needed to
address the issues are not exactly part of the mainstream of
IETF work.  We can't expect people who don't have the background
for the work to read in quickly.  That background is not part of
the education of the typical network engineer.  I suggest that
we might have similar problems if we embarked on work that had
significant interactions with power engineering or, for that
matter, with the proverbial rocket science.  We'd need to find
the few people within the normal IETF community who happened to
have the relevant background in addition to whatever interests,
skills, and background brought them to the IETF. Then we'd need
to convince them (and, in most cases, employers, etc.) to
participate actively in the work, presumably borrowing time
from, or sharing it with, time for rather than whatever brought
them to the IETF.   They would also have to learn things they
didn't know in spite of at least having the background to learn.
And, unless they were also expert in the relevant IETF protocol
work, we'd need to make them part of team efforts.

The BOF was created against that background to see if we could
find a way to get un-stuck.  It was aware of things that had
been tried or suggested in the past and that had not proven
helpful, including the IAB's decision to shut down its own I18n
Program because it couldn't make it useful.  I deliberately
stayed out of the discussion of what the "directorate" should be
called but, because of the team and educational requirements, it
was clear that it would be necessary to either invent an
entirely new beast or to have a slightly-odd directorate,
slightly-odd review team, slightly-odd working group, or even a
slightly-odd area.  The ART ADs decided on a directorate, which
was fine, although I hope and assume everyone understood (and
understands) the team and internal consultation models -- not to
form a hard position, but to be as sure as possible that the
issues were fully (or at least adequately) understood.   There
was never any implication of blocking work or somehow
functioning outside the system.   The IESG (and individual
Areas) remain in a position to listen carefully to any advice
they get and then go do something else (although there are at
least implicit requirements to explain a decision like that to
the community).  The strong suggestion for "reviews first, then
Last Call" are just a pragmatic notion for getting the advice
and perspective in front of the community (not just the IESG)
that the community needs to perform an evaluation.  Not only, as
Pete has pointed out, has it never been prohibited by the
procedures (and RFC 2028 doesn't even mention directorates), but
the basis between the distinction between two-week Last Calls
for WG products and four-week Last Calls for everything else is
precisely the notion that, in the former case, there has been
careful review, analysis, and reporting prior to the Last Call
by a systematically-organized and focused expert group within
the community.  We've never discussed whether outputs of more
diffuse "Area WGs" should get the same consideration, but I've
noticed that many ADs treat them somewhat differently than WGs
specifically organized and chartered around a topic.

So I don't see anything unusual going on here other than the ART
ADs trying to address issues with making progress and getting
effective reviews, insight, and opportunities for community
understanding of what is going on when prior attempts have
failed.  If Ted or others feel a need to make a case that there
should instead be a formally-chartered WG to examine and process
all proposed documents involving i18n issues, nothing prevents
them from making that argument... but I hope they would remember
not only that more narrowly-focused i18n-related WGs have come
very close to running out of steam and that the process of
chartering such a WG would add even more of the delay about
which they are presumably objecting.

best,
   john

--On Tuesday, December 4, 2018 15:29 -0600 Ben Campbell
<[email-masked]> wrote:

> Hi Ted,
> 
> I'd like to understand your objection better. (Please
> don't take this as disagreement. Or agreement, for that
> matter :-) )
> 
> How do you see things like "advise", "educate" and
> "inform" as being a grant of authority beyond that of a
> directorate? Individual participants can and do those things
> regularly; so I'm confused as why doing it as part of a
> directorate would be different. Do you read those things as
> putting the directorate in the approval path? Or are you
> concerned such advice would be given greater weight because of
> the directorate?

---

From: John C Klensin <[email-masked]>
Date: Wed, 05 Dec 2018 16:37:30 -0500

But, with two qualifications, that is all that has ever been
proposed.  Those are:

(1) Because the root of the problems in this topic area is (or
appears to be) that the IETF community doesn't know nearly as
much about the topic as it would in a more ideal world and
because i18n work spans traditional and current Areas, I hope
the advice would be public rather than delivered in secret to
the AD and I would hope that the group would make an extra
effort to explain its reasoning in ways that the community (not
just the ADs) could understand and learn from.  I would hope
that the group members would want to do those things and that
the relevant AD(s) would insist on them.  (I don't think you
intended advice delivered in secret and kept that way, but your
suggestion could be read that way).  I think that is consistent
with your interpretation of "educating..." but can be see how
that could be interpreted differently, just as my initial
suggestion was.

(2) Not unlike our "Doctors" model (and consistent with the very
informal consultations about some LAMPS documents which I
believe were successful), I'd expect WGs and
document-developers, including those in other Areas, to want to
consult this group for advice and even help with text in
documents.   I'd hope that could be handled informally,
directly, and efficiently, with a focus on getting quality work
done.   I think it would be very unfortunate if the same sort of
procedure-lawyering that has gotten involved in this thread
would turn those efforts into requirements for a process that
would go something like:

   (OtherWG (or AD in other Area)): Dear ART ADs, would you
please ask the Directorate to review XYZ and help with text.
   (ART AD to OtherWG): Sure
   (ART AD to Directorate): Please see this request from
OtherWG, deal with it, and tell me.
   (Directorate to ART AD (because they are expected to advise
that AD and no one else): ART AD, we think ABCDE
   (ART AT to Other WG): Directorate says "we think ABCDE"

Possibly followed by additional iterations of this waste of the
time of ADs and Directorate members, especially if specific text
were asked for and/or suggested.

I think that would be seriously dumb and hope my example shows
that and why.  But it would be consistent with efforts to draw
narrow lines around supposed principles such as "the only thing
a directorate is allowed to do is to advise ADs in that area).

best,
   john

--On Tuesday, December 4, 2018 19:21 -0500 Vint Cerf
<[email-masked]> wrote:

> suggestion:
> 
> set up the advisory group and allow it to offer advice to the
> appropriate AD.
> This same advisory group can reasonably share its findings
> more generally, thereby "educating...." the rest of the
> community. No power to block should either explicitly or
> implicitly be inferred by the creation of the advisory body.

---

From: "Marc Blanchet" <[email-masked]>
Date: Wed, 05 Dec 2018 17:08:43 -0500

> that could be interpreted differently, just as my initial

it has been « by design » that Stringprep [RFC3454] and its 
replacement Precis[RFC8264] that there will be « requests » on how 
to do « the precis profile for my protocol » from the community. 
This happened for Stringprep quite a lot after the release of 
Stringprep. With Precis, we updated many of those to use Precis instead, 
but when the precis working group was closed, there was still many 
profiles-to-update left and obviously others will come.

Therefore, for Precis at least, there will be some 
community—i18ndirectorate exchanges similar to yang doctors.

Marc.